at.chipkarte.client.muhi.soap

## Class CommonMeldungData

- Object
- - at.chipkarte.client.muhi.soap.CommonMeldungData

-     public class CommonMeldungData
      extends Object

  Daten, die absolute und individuelle Beschäftigungsverbotsmeldungen gemeinsam haben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonMeldungData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adresse` | `getAdressePatientin()`
    `String` | `getErstellungszeitpunkt()` Zeitpunkt der Erstellung.
    `long` | `getMeldungsId()` Eindeutige ID der Meldung.
    `SvPatientin` | `getPatientin()` Personendaten der Patientin.
    `String` | `getStorniertAm()` Zeitpunkt, zu dem die Meldung storniert wurde.
    `String` | `getVoraussichtlicherGeburtstermin()` Voraussichtlicher Geburtstermin.
    `void` | `setAdressePatientin(Adresse adressePatientin)` Wohnadresse der Patientin.
    `void` | `setErstellungszeitpunkt(String erstellungszeitpunkt)`
    `void` | `setMeldungsId(long meldungsId)`
    `void` | `setPatientin(SvPatientin patientin)`
    `void` | `setStorniertAm(String storniertAm)`
    `void` | `setVoraussichtlicherGeburtstermin(String voraussichtlicherGeburtstermin)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonMeldungData

          public CommonMeldungData()

  - ### Method Detail

    - #### getMeldungsId

          public long getMeldungsId()

      Eindeutige ID der Meldung.
      Angabe: Muss.
      Returns:

    - #### setMeldungsId

          public void setMeldungsId(long meldungsId)

    - #### getErstellungszeitpunkt

          public String getErstellungszeitpunkt()

      Zeitpunkt der Erstellung.
      Angabe: Muss.
      Format: TT.MM.JJJJ hh:mm:ss
      Returns:

    - #### setErstellungszeitpunkt

          public void setErstellungszeitpunkt(String erstellungszeitpunkt)

    - #### getPatientin

          public SvPatientin getPatientin()

      Personendaten der Patientin.
      Angabe: Muss.
      Returns:

    - #### setPatientin

          public void setPatientin(SvPatientin patientin)

    - #### getAdressePatientin

          public Adresse getAdressePatientin()

    - #### setAdressePatientin

          public void setAdressePatientin(Adresse adressePatientin)

      Wohnadresse der Patientin.
      Angabe: Muss.
      Parameters:
        `adressePatientin` -

    - #### getVoraussichtlicherGeburtstermin

          public String getVoraussichtlicherGeburtstermin()

      Voraussichtlicher Geburtstermin.
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Returns:

    - #### setVoraussichtlicherGeburtstermin

          public void setVoraussichtlicherGeburtstermin(String voraussichtlicherGeburtstermin)

    - #### getStorniertAm

          public String getStorniertAm()

      Zeitpunkt, zu dem die Meldung storniert wurde.
      Angabe: Bedingt (genau dann angegeben, wenn die Meldung storniert ist).
      Format: TT.MM.JJJJ hh:mm:ss
      Returns:

    - #### setStorniertAm

          public void setStorniertAm(String storniertAm)